E-MailRelay

Public Member Functions | List of all members
GSmtp::InternalVerifier Class Reference

The standard internal Verifier that accepts all mailbox names. More...

`#include <ginternalverifier.h>`

Inheritance diagram for GSmtp::InternalVerifier:

## Public Member Functions
| InternalVerifier ()
| Constructor.
| InternalVerifier (const InternalVerifier &)=delete
| InternalVerifier (InternalVerifier &&)=delete
void | operator= (const InternalVerifier &)=delete
void | operator= (InternalVerifier &&)=delete
Public Member Functions inherited from GSmtp::Verifier
virtual void | verify (const std::string &rcpt_to_parameter, const std::string &mail_from_parameter, const GNet::Address &client_ip, const std::string &auth_mechanism, const std::string &auth_extra)=0
| Checks a recipient address and asynchronously returns a structure to indicate whether the address is a local mailbox, what the full name is, and the canonical address. More...
virtual G::Slot::Signal< const VerifierStatus & > & | doneSignal ()=0
| Returns a signal that is emit()ed when the verify() request is complete.
virtual void | cancel ()=0
| Aborts any current processing.
virtual | ~Verifier ()=default
| Destructor.

## Detailed Description

The standard internal Verifier that accepts all mailbox names.

Definition at line 38 of file ginternalverifier.h.

The documentation for this class was generated from the following files:

- /usr/src/slapt-src-x86_64/network/emailrelay/emailrelay-2.3/src/gsmtp/ginternalverifier.h
- /usr/src/slapt-src-x86_64/network/emailrelay/emailrelay-2.3/src/gsmtp/ginternalverifier.cpp